updating this old gem

Information and updates for Teknokyo's "Ancestral Recall" mod. If you have any questions or suggestions for the mod, please post them here.

Moderator: TeknoKyo

Post Reply
User avatar
Boewolf
Posts: 8
Joined: Thu Jun 19, 2003 1:51 am

updating this old gem

Post by Boewolf » Tue Oct 06, 2020 2:23 pm

I still occasionally play some AR. I can't seem to get LoD 1.10 to run graphically right. I also know this is probably a silly question... But after some searching i didn't find much.

To fix the crash when going to act 5. Would it require a full rebuild of the mod or would a few updates be adequate to fix the crash?

If a few updates to the modded game files is all that's needed, i'm looking through the basics of modding d2. If anyone has any suggestions to narrow my search it would be greatly appreciated.
Is the human race realy worth defending??

Devangell
Posts: 37
Joined: Thu Jul 30, 2020 10:06 am
Belgium

Re: updating this old gem

Post by Devangell » Tue Oct 06, 2020 3:55 pm

By my knowledge, getting the crash when entering act 5 in Ancestrall Recall is caused by playing the mod with a diablo version installed of 1.11 or higher.
THe mod should only be played with 1.10.

This topic is about the crash:
viewtopic.php?t=38565

Grtz

User avatar
Boewolf
Posts: 8
Joined: Thu Jun 19, 2003 1:51 am

Re: updating this old gem

Post by Boewolf » Tue Oct 06, 2020 4:47 pm

I did see that. unfortunately when i run 1.10. the game is unplayable all the graphics are messed up beyond any form of playability. otherwise i would just be running 1.10.

I would have put the original post there... but that would be bringing up a 13 year old thread
Is the human race realy worth defending??

User avatar
Cypress
Junior Member
Paladin
Posts: 102
Joined: Fri Dec 01, 2017 2:08 am

Re: updating this old gem

Post by Cypress » Sat Oct 10, 2020 10:08 am

See: viewtopic.php?t=39933. Apparently it has to do with a few txt files in specific which control level settings. The problem is that Ancestral Recall has the source txt files closed off, so you can't really change them to be compatible with 1.11, and you can't just replace them with newer txt files either without undoing any level/monster generation changes made in this mod, which may or may not drastically change how this mod works.

I think it'd be more realistic to figure out what is breaking 1.10f's graphics. I've played a lot of Diablo 2 on a lot of different systems, and these are some of the ways I remember fixing graphical errors (not necessarily all at once):
(1) Trying out each of DDraw/D3D/Glide (usually Glide works the best)
(2) Disabling anti-aliasing
(3) Toggling perspective mode off
(4) Running in compatibility mode (XP service pack 2 or 3, disable desktop composition)
(5) Running in windowed mode
(6) Running a Windows XP virtual machine

Post Reply

Return to “Ancestral Recall”